# Calscale (iCal4j VCard 0.9.5 API)
Date: 2012-01-29

net.fortuna.ical4j.vcard.parameter

## Class Calscale

- java.lang.Object
- - net.fortuna.ical4j.vcard.Parameter
  - - net.fortuna.ical4j.vcard.parameter.Calscale

All Implemented Interfaces:
  Serializable

    public final class Calscale
    extends Parameter

CALSCALE parameter. Created on 20/09/2010

Author:
  Mike Douglass
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class net.fortuna.ical4j.vcard.Parameter

`Parameter.Id`

### Field Summary

Fields
`static ParameterFactory<Calscale>` `FACTORY`

### Constructor Summary

Constructors
Constructor and Description
`Calscale(String value)` Factory constructor.

### Method Summary

Methods
`String` `getValue()`

### Methods inherited from class net.fortuna.ical4j.vcard.Parameter

`equals, getId, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### FACTORY

    public static final ParameterFactory<Calscale> FACTORY

### Constructor Detail

#### Calscale

    public Calscale(String value)

Factory constructor.

Parameters:
  `value` - string representation of a property value

### Method Detail

#### getValue

    public String getValue()

Specified by:
  `getValue` in class `Parameter`
Returns:
  a string representation of the value of the parameter